NetBSD Problem Report #49792

From  Fri Mar 27 03:10:22 2015
Return-Path: <>
Received: from ( [])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "", Issuer "Postmaster" (not verified))
	by (Postfix) with ESMTPS id 8D25AA654B
	for <>; Fri, 27 Mar 2015 03:10:22 +0000 (UTC)
Message-Id: <>
Date: Fri, 27 Mar 2015 03:10:21 +0000 (UTC)
Subject: pkg_select cannot binary install.
X-Send-Pr-Version: www-1.0

>Number:         49792
>Category:       pkg
>Synopsis:       pkg_select cannot binary install.
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    imil
>State:          feedback
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Mar 27 03:15:00 +0000 2015
>Last-Modified:  Sat Dec 30 18:26:22 +0000 2017
>Originator:     ryo
>Release:        NetBSD 6.1.5
NetBSD 6.1.5 GENERIC i386
I think that pkg_select is beautiful tool and effective appeal point for NetBSD.
But only 'install binary package' do not work.

Run the pkg_select.
Move any package menu.
Click [b] ('[b] install binary package').

This problem seem caused due to append phrase 'packages' for binary path.
So this phrase seem extra or it need to be modify.
If this is extra, maby, this phrase become 'current-packages'.
If it need to modify, do not append 'packages'.
I think the latter choice is better.



Responsible-Changed-From-To: pkg-manager->imil
Responsible-Changed-When: Wed, 13 May 2015 06:14:17 +0000
Over to maintainer.

State-Changed-From-To: open->feedback
State-Changed-When: Sat, 30 Dec 2017 18:26:22 +0000
A variety of pkg_select bugs have been fixed.
Can you check if this is still a problem?


NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD:,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.